Skip to main content

List all events

Retrieve a paginated list of events for the authenticated workspace.
1 min read
get/events
Request example
Response
get/events
Note

Events endpoints require a Business plan subscription or higher.

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Query parameters

eventenum<string>#
The type of event to retrieve analytics for. Defaults to 'clicks'.

Default: "clicks"

Options:clicksleadssales
domainstring#
The domain to filter analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: dub.co, dub.co,google.com, -spam.com.
keystring#
The slug of the short link to retrieve analytics for. Must be used along with the corresponding domain of the short link to fetch analytics for a specific short link.
linkIdstring#
The unique ID of the link to retrieve analytics for.Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: link_123, link_123,link_456, -link_789.
externalIdstring#
The ID of the link in the your database. Must be prefixed with 'ext_' when passed as a query parameter.
tenantIdstring#
The ID of the tenant that created the link inside your system. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: tenant_123, tenant_123,tenant_456, -tenant_789.
tagIdstring#
The tag ID to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: tag_123, tag_123,tag_456, -tag_789.
folderIdstring#
The folder ID to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: folder_123, folder_123,folder_456, -folder_789. If not provided, return analytics for all links.
partnerTagIdstring#
The partner tag ID(s) to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: ptag_123, ptag_123,ptag_456, -ptag_789.
groupIdstring#
The group ID to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: grp_123, grp_123,grp_456, -grp_789.
partnerIdstring#
The ID of the partner to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: pn_123, pn_123,pn_456, -pn_789.
customerIdstring#
The ID of the customer to retrieve analytics for.
intervalenum<string>#
The interval to retrieve analytics for. If undefined, defaults to 24h.
Options:24h7d30d90d1ymtdqtdytdall
startstring#
The start date and time when to retrieve analytics from. If set, takes precedence over interval.
endstring#
The end date and time when to retrieve analytics from. If not provided, defaults to the current date. If set along with start, takes precedence over interval.
timezonestring#
The IANA time zone code for aligning timeseries granularity (e.g. America/New_York). Defaults to UTC.

Default: "UTC"

countrystring#
The country to retrieve analytics for. Must be passed as a 2-letter ISO 3166-1 country code (see https://d.to/geo). Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: US, US,BR,FR, -US.
citystring#
The city to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: New York, New York,London, -New York.
regionstring#
The ISO 3166-2 region code to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: NY, NY,CA, -NY.
continentstring#
The continent to retrieve analytics for. Valid values: AF, AN, AS, EU, NA, OC, SA. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: NA, NA,EU, -AS.
devicestring#
The device to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: Desktop, Mobile,Tablet, -Mobile.
browserstring#
The browser to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: Chrome, Chrome,Firefox,Safari, -IE.
osstring#
The OS to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: Windows, Mac,Windows,Linux, -Windows.
triggerstring#
The trigger to retrieve analytics for. Valid values: qr, link, pageview. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: qr, qr,link, -qr. If undefined, returns all trigger types.
eventNamestring#
The conversion event name to retrieve analytics for. Only available for lead and sale events. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: Sign up, Sign up,Purchase, -Sign up.
refererstring#
The referer hostname to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: google.com, google.com,twitter.com, -facebook.com.
refererUrlstring#
The full referer URL to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: https://google.com, https://google.com,https://twitter.com, -https://spam.com.
urlstring#
The destination URL to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: https://example.com, https://example.com,https://other.com, -https://spam.com.
utm_sourcestring#
The UTM source to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: google, google,twitter, -spam.
utm_mediumstring#
The UTM medium to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: cpc, cpc,social, -email.
utm_campaignstring#
The UTM campaign to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -). Examples: summer_sale, summer_sale,winter_sale, -old_campaign.
utm_termstring#
The UTM term to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -).
utm_contentstring#
The UTM content to retrieve analytics for. Supports advanced filtering: single value, multiple values (comma-separated), or exclusion (prefix with -).
rootboolean#
Filter for root domains. If true, filter for domains only. If false, filter for links only. If undefined, return both.
saleTypeenum<string>#
Filter sales by type: 'new' for first-time purchases, 'recurring' for repeat purchases. If undefined, returns both.
Options:newrecurring
querystring#
Search the events by a custom metadata value. Only available for lead and sale events. Examples: metadata['key']:'value'

Length: max 10000

programIdstringdeprecated#
Deprecated: This is automatically inferred from your workspace's defaultProgramId. The ID of the program to retrieve analytics for.
tagIdsstringdeprecated#
Deprecated: Use tagId instead. The tag IDs to retrieve analytics for.
qrbooleandeprecated#
Deprecated: Use the trigger field instead. Filter for QR code scans. If true, filter for QR codes only. If false, filter for links only. If undefined, return both.
pageinteger#
The page number for pagination. The first page is 1.

Default: 1

Range: true < x <= 9007199254740991

limitinteger#
The number of items per page.

Default: 100

Range: true < x <= 1000

sortOrderenum<string>#
The sort order. The default is desc.

Default: "desc"

Options:ascdesc
sortByenum<string>#
The field to sort the events by. The default is timestamp.

Default: "timestamp"

Options:timestamp
orderenum<string>deprecated#
DEPRECATED. Use sortOrder instead.

Default: "desc"

Options:ascdesc

Responses

application/json
A list of events